<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}


$veh_num='';
$sdate_12 ='';
$page='1';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();
$msg = '';

if(isset($_REQUEST['del']) && $_REQUEST['del']=='delete')
{
	$id = $_REQUEST['id'];
	$sql=mysql_query("delete from cf_vehicle where id='$id'");
	header("location:upcoming-list.php?msg=You Have Successfully Deleted");
}

?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Transport Integrated Logistic System</title>
<link href="css/styles.css" rel="stylesheet"  />
<link href="css/menu.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="js/jqmin1.js"></script>
<script src="js/popup1.js" type="text/javascript"></script>
<script language="javascript">
function getXMLHTTP()
	 { //fuction to return the xml http object
	var xmlhttp=false;	
		try
		{
		xmlhttp=new XMLHttpRequest();
		}
		catch(e)	
		{		
			try{			
				xmlhttp= new ActiveXObject("Microsoft.XMLHTTP");
				}
			catch(e)
			{
				try
				{
				xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
				}
				catch(e1)
				{
				xmlhttp=false;
				}
			}
		}
	return xmlhttp;
	}   


function Searchdate(val)
{ 
 	 var page=val;	
	 var billno='';
	 var typename='';
	
	 if(document.search_frm.bill_no){
	 billno= document.search_frm.bill_no.value;
	 }
	 
	 if(document.search_frm.type_sel){
	 typename= document.search_frm.type_sel.value;
	 }
	
	var strURL="ajax/upcoming_data.php?&page="+page;
	if(billno!=''){
	strURL+="&billno="+billno;
	}	
	
	if(typename!=''){
	strURL+="&typename="+typename;
	
	
	}	
	
	var req = getXMLHTTP();
   if (req)
   {
     req.onreadystatechange = function()
     {
		 
			if ((req.readyState == 0)||(req.readyState == 1)||(req.readyState == 2)||(req.readyState == 3))
      		{
			//document.getElementById('order').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			//document.getElementById('Cakeorder').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			}
		 
		 
      if (req.readyState == 4)
      {
	 // only if "OK"
	 	if (req.status == 200)
	 	{ 
	   document.getElementById('list').innerHTML=req.responseText;
	//	document.getElementById('Cakeorder').innerHTML=req.responseText;
	 	}
	  else 
	 	{
   	   alert("There was a problem while using XMLHTTP:\n" + req.statusText);

	 }
     }
     }
   req.open("GET", strURL, true);
   req.send(null);
   }
 
   
}
</script>
</head>

<body>
<!------------------popup area (view, edit)--------------->



<!---------------popup area ends------------------>
<div class="wrapper">
  <div>
<?php 
	include("header.php");
?>
 
</div>
 
 <div class="tabbedArea">
 <?php if(isset($_REQUEST['msg'])){ ?>
  <div class="warningMessage">
     <p> <?=$_REQUEST['msg']?> </p>
    </div>
    <?php } ?>
  
  <div class="tabBody">
   <h1>Upcoming List</h1>
   <form name="search_frm" id="search_frm" method="post"  >
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px; ">
   <div style="padding:20px;">
    <div class="searchField">
     <p class="input1">Vehicle No</p>
     <input type="text" name="bill_no" id="bill_no" class="input1" />
    </div>
    
    <div class="searchField">
     <p class="input1">Type</p>
     
     <select class="input1" name="type_sel" id="type_sel">
     	<option value="">Select</option>
     	<option value="Rent">Rent</option>
     	<option value="Own">Own</option>
     </select>
    </div>
        
    
    
    <div class="searchField">
     <input name="button" type="button" class="input1" onClick="Searchdate(1);" value="search" />
     
     
    </div>
    

    
   </div>
   </div>
   </form>
   <div id="list">
   <table  border="0" cellspacing="0" cellpadding="0" class="tableList">
  <tr class="heading">
    <td style="width:10%;">No</td>    
    <td style="width:15%;">Vehicle Number</td>
    <td style="width:35%;">Manufacture</td>
    <td style="width:10%;">Type</td>
    <td style="width:10%;">Insurance</td>
    <td style="width:10%;">Tax</td>
    <td style="width:10%;">Fittness</td>   
    <td >Edit</td>
    <td >Delete</td>
  </tr>
  
  <?php
if(isset($_REQUEST['todate_12'])){
$sdate_12=$_REQUEST['todate_12'];
$todate_12=explode("-",$sdate_12);
$sdate=$todate_12[2].'-'.$todate_12[1].'-'.$todate_12[0];
}

$typenames='';
if(isset($_REQUEST['veh_num'])){
$veh_num=$_REQUEST['veh_num'];
}

if(isset($_REQUEST['typename'])){
$typenames=$_REQUEST['typename'];
}

	$today=date("Y-m-d");
	$oneWeekAgo = strtotime ( '-1 week' , strtotime ( $today ) ) ; 
	$WeekAgo =  date ( 'Y-m-j' , $oneWeekAgo ) ; 
	
$i=1;
$sq_arr="select * from cf_vehicle where 1 ";
if($veh_num!=''){
$sq_arr.=" and vehiclenum like '%".$veh_num."%'";
}

if($typenames!=''){
$sq_arr.=" and type like '%".$typenames."%' ";
}

if($veh_num==''){
$sq_arr.=" and '".$WeekAgo."' >= idate or '".$WeekAgo."' >= tdate  or '".$WeekAgo."' >= fitdate  ";
}

$sq_arr.=" order by id desc ";
$query=$sq_arr;
//echo $query;
$function="Searchdate";
include("paging.php");
$sq_arr.=" LIMIT $start, $limit";

if(isset($_REQUEST['page'])){
$page=$_REQUEST['page'];
}else{
$page=10;
}

$array=mysql_query($sq_arr);
if($array && mysql_num_rows($array)>0){
while($res=mysql_fetch_array($array))
{

$dd=date("m-d-Y",strtotime($res['add_date']));
  ?> 
  <tr>
    <td><?php echo "Vech-". $res['id'];?></td>
    <td><a href="#login-box" class="login-window"><?php echo $res['vehiclenum'];?></a></td>
    <td><?php if($res['manufacture']!='')echo $res['manufacture'];else echo '--'; ?></td>
    <td><?php if($res['type']!='')echo $res['type'];else echo '--'; ?></td>
    <?php 
		$insval = '';
		$insdate = $res['idate'];
		$todaydate = date("Y-m-d");
		if($insdate < $todaydate)
		   {
				$insval =  "Expired";
		   }
		   else
		   {
		   		$insval =  "Not Expired";
		   }
	?>    
    <td><?php echo $insval;?></td>
    <?php 
		$taxval = '';
		$taxdate = $res['tdate'];
		if($taxdate < $todaydate)
		   {
				$taxval =  "Expired";
		   }
		   else
		   {
		   		$taxval =  "Not Expired";
		   }
	?>    
    <td><?php echo $taxval;?></td>
   
   
    <?php 
		$fitval = '';
		$fitdate = $res['fitdate'];
		if($fitdate < $todaydate)
		   {
				$fitval =  "Expired";
		   }
		   else
		   {
		   		$fitval =  "Not Expired";
		   }
	?>    
    <td><?php echo $fitval;?></td>
    
    
   <td align="center" class="tr_td_b"><a href="vechicle-details-entry.php?page=<?php echo $page; ?>&id=<?php echo $res['id']; ?>&ab=<?php echo $i;?>"><img src="images/edit.png" title="edit"></a></td>
   
   <td align="center" class="tr_td_r" ><a href="vechicle-list.php?del=delete&id=<?php echo $res['id']; ?>" onClick="return confirm('Do you really want to delete this field?');"><img src="images/delete.png" title="delete"></a></td>
    
   
  </tr>
  <?php 
    }}
  ?>
 
  <!--<tr>
    <td><input type="checkbox">2</td>
    <td>2323d</td>
    <td>jinesh</td>
    <td>jose</td>
    <td>9443274636</td>
    <td>email@gmail.com</td>
    <td>design</td>
    <td>designer</td>
    <td>23/4/11</td>
    <td><div class="deletedStat"></div></td>
    <td><a href="#">
      <div class="actEdit"></div><div class="actDelete"></div>
    </a></td>
  </tr>-->

   
</table>

  <div align="right" style="padding-top:10px;"><?=$pagination?></div> 
  </div>
  </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
 <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>
